ubiquity crashed with AttributeError in on_partition_use_combo_changed(): 'PageGtk' object has no attribute 'partition_format_checkbutton'

Bug #1044545 reported by Omer Akram
78
This bug affects 12 people
Affects Status Importance Assigned to Milestone
ubiquity (Ubuntu)
Fix Released
Critical
Omer Akram
Quantal
Fix Released
Critical
Omer Akram

Bug Description

Cannot make custom partition for install.

Select a partition, this happens when i try to make a custom partition.

ProblemType: Crash
DistroRelease: Ubuntu 12.10
Package: ubiquity 2.11.26
ProcVersionSignature: Ubuntu 3.5.0-13.14-generic 3.5.3
Uname: Linux 3.5.0-13-generic x86_64
ApportVersion: 2.5.1-0ubuntu4
Architecture: amd64
CasperVersion: 1.321
Date: Fri Aug 31 20:37:22 2012
ExecutablePath: /usr/lib/ubiquity/bin/ubiquity
InstallCmdLine: noprompt cdrom-detect/try-usb=true file=/cdrom/preseed/ubuntu.seed boot=casper initrd=/casper/initrd.lz quiet splash --
InterpreterPath: /usr/bin/python3.2mu
LiveMediaBuild: Ubuntu 12.10 "Quantal Quetzal" - Alpha amd64 (20120831)
ProcCmdline: /usr/bin/python3 /usr/lib/ubiquity/bin/ubiquity gtk_ui
ProcEnviron: Error: [Errno 13] Permission denied: '/proc/4521/environ'
PythonArgs: ['/usr/lib/ubiquity/bin/ubiquity', 'gtk_ui']
SourcePackage: ubiquity
Title: ubiquity crashed with AttributeError in on_partition_use_combo_changed(): 'PageGtk' object has no attribute 'partition_format_checkbutton'
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups:

Related branches

Revision history for this message
Omer Akram (om26er) wrote :
Changed in ubiquity (Ubuntu):
importance: Undecided → High
tags: removed: need-duplicate-check
Omer Akram (om26er)
visibility: private → public
Omer Akram (om26er)
Changed in ubiquity (Ubuntu Quantal):
assignee: nobody → Omer Akram (om26er)
status: New → In Progress
milestone: none → ubuntu-12.10-beta-1
Changed in ubiquity (Ubuntu Quantal):
importance: High → Critical
Revision history for this message
Ubuntu QA Website (ubuntuqa) wrote :

This bug has been reported on the Ubuntu ISO testing tracker.

A list of all reports related to this bug can be found here:
http://iso.qa.ubuntu.com/qatracker/reports/bugs/1044545

tags: added: iso-testing
Revision history for this message
Greg Faith (gregfaith) wrote :

Same here on daily 20120902 iso-testing manual install

tags: added: rls-q-tracking
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubiquity - 2.11.27

---------------
ubiquity (2.11.27) quantal; urgency=low

  [ Omer Akram ]
  * Fix manual partinioning edit dialog (LP: #1044545)
 -- Dmitrijs Ledkovs <email address hidden> Sat, 01 Sep 2012 03:09:22 +0100

Changed in ubiquity (Ubuntu Quantal):
status: In Progress → Fix Released
Revision history for this message
Joseph Thompson (jthompson87-deactivatedaccount) wrote :

I just experienced the same crash on manual install for the daily snapshot from 3 September, 2012. i386, if it matters.

Revision history for this message
Len Ovens (len-ovenwerks) wrote : Re: [Bug 1044545] Re: ubiquity crashed with AttributeError in on_partition_use_combo_changed(): 'PageGtk' object has no attribute 'partition_format_checkbutton'

On Mon, September 3, 2012 9:57 pm, Joseph Thompson wrote:
> I just experienced the same crash on manual install for the daily
> snapshot from 3 September, 2012. i386, if it matters.

...

> Status in “ubiquity” package in Ubuntu:
> Fix Released
> Status in “ubiquity” source package in Quantal:
> Fix Released

It worked ok for me with the sep 3 2012 ISO. The fix seemed to work.

>
> Bug description:
> Cannot make custom partition for install.
>
> Select a partition, this happens when i try to make a custom
> partition.

--
Len Ovens
www.OvenWerks.net

Revision history for this message
Dimitri John Ledkov (xnox) wrote :

There were a few respins on the 3rd of september so 20120903.1 for example may not worked, but some later ones did. So please use 4th of september images. They should for sure work.

Or simply check the ubiquity package version in the live-environment / tty1
Or upgrade ubiquity in the live-environment before running it.

To post a comment you must log in.
This report contains Public information  
Everyone can see this information.

Duplicates of this bug

Other bug subscribers